#pragma once
#include "interrupts/Context.h"

#ifdef __cplusplus
extern "C"
{
#endif
    [[noreturn]] bool __do_int_panic(Context* context, const char* file, int line, const char* message);
    [[noreturn]] bool __do_panic(const char* file, int line, const char* message);
#ifdef __cplusplus
}
#endif

#define panic(message) __do_panic(__FILE__, __LINE__, message)
#define int_panic(context, message) __do_int_panic(context, __FILE__, __LINE__, message)