#include <luna/syscall.h>
#include <sys/mman.h>
#include <sys/syscall.h>

extern "C"
{
    // FIXME: Implement a POSIX-compliant mmap.
    void* mmap(void* addr, size_t len, int prot, int, int, off_t)
    {
        long result = __luna_syscall3(SYS_mmap, (sysarg_t)addr, (sysarg_t)len, (sysarg_t)prot);
        _RETURN_WITH_MEMORY_ERRNO(result, void*);
    }

    int munmap(void* addr, size_t len)
    {
        return (int)__lc_fast_syscall2(SYS_munmap, addr, len);
    }

    int mprotect(void* addr, size_t size, int prot)
    {
        return (int)__lc_fast_syscall3(SYS_mprotect, addr, size, prot);
    }
}