pkgname="mpc"
pkgver="1.2.1"
pkgurl="https://ftp.gnu.org/gnu/mpc/mpc-$pkgver.tar.gz"

pkgmode="web"

pkgdeps=('gmp' 'mpfr')

islib=1

setupdir="$workdir"
builddir="$workdir/build"
installdir="$workdir/build"
srcdir="$workdir/mpc-$pkgver"

port_unpack()
{
    tar xvf mpc-$pkgver.tar.gz
}

port_configure()
{
    $srcdir/configure --host=x86_64-luna --with-gnu-ld --enable-shared=no --prefix=/usr
}

port_build()
{
    make -j$(nproc)
}

port_install()
{
    make DESTDIR=$LUNA_BASE install
    rm -f $LUNA_BASE/usr/lib/*.la
}

port_uninstall()
{
    make DESTDIR=$LUNA_BASE uninstall
    rm -f $LUNA_BASE/usr/lib/libmpc.a
}